//============================================================================
//  TSL230.h                      Allen Marincak            Ver 1.0   Mar 2009
//
//      Header File for the TSL230R Driver.
//
//  Copyright (c) 2009, Allen Marincak       See end of file for terms of use.
//============================================================================

int             TSL230_Start        ( unsigned long p_in, unsigned long p_ctrlbase, unsigned long p_samplefreq, unsigned long p_autoscale );
void            TSL230_Stop         ( unsigned long cogid ); 
unsigned long   TSL230_GetSample    ( void );
void            TSL230_GetSampleSens( unsigned long *psam, unsigned long *psen );
void            TSL230_SetSensitivity( unsigned long psens );

//============================================================================
//                        TERMS OF USE: MIT License                                                       
//============================================================================
// Permission is hereby granted, free of charge, to any person obtaining a 
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:
//                                       
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//============================================================================



