#include "LPC214x.H"  	// LPC2148 MPU Register
unsigned int read_adc1(unsigned int num_adc1)
{	//ADC Clock = VBP(PCLK) / (14+1)=60/15=4M
	//Busrt = 0 = disable Conversion Continue
	//CLKS = 000 = 10Bit : 11 Cycle Clock Conversion 
	//PDN = 1 = Active ADC Module
	//EDGE = 0 = Conversion on Falling Edge 
	//START = 001 = Start Conversion Now
unsigned int val;
unsigned long int temp;
  	/*clear DONE bit status*/
		val = AD1DR0; 
		val = AD1DR1;
		val = AD1DR2;
		val = AD1DR3;
		val = AD1DR4;
		val = AD1DR5;
		val = AD1DR6;
		val = AD1DR7;
		val=AD1GDR ;
		AD1INTEN=0;
  AD1CR  = 0x00200E00 |(1<<num_adc1);//0x00210E00

   
	    AD1CR  |= 0x01000000;                   //Bat dau chuyen doi
		do
           switch(num_adc1)
		   {
		       case 0 :
		  	  {
			   val = AD1DR0;      // Read A/D Data Register and clear DONE bit 
			   break;
			  }
			  case 1 :
			  {
			   val = AD1DR1;      // Read A/D Data Register and clear DONE bit 
			   break;
			  }
			  case 2 :
			  {
			   val = AD1DR2;      // Read A/D Data Register and clear DONE bit 
			   break;
			  }
			  case 3 :
			  {
			   val = AD1DR3;      // Read A/D Data Register and clear DONE bit 
			   break;
			  }
			  case 4 :
			  {
			   val = AD1DR4;      // Read A/D Data Register and clear DONE bit 
			   break;
			  }
			  case 5 :
			  {
			   val = AD1DR5;      // Read A/D Data Register and clear DONE bit 
			   break;
			  }
			  case 6 :
			  {
			   val = AD1DR6;      // Read A/D Data Register and clear DONE bit 
			   break;
			  }
			  default:
			  val=	AD1DR7;
		}        
        while ((val & 0x80000000) == 0);	// Wait ADC Conversion Complete and clear DONE bit	
	    val = (val >> 6) & 0x03FF;
		temp=val; 
	
	    //temp=temp*3.3/1023/100.0;
return (temp);
}
